package com.ywt.params.mg.order;


import com.ywt.params.PageRequest;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class QueryOrdersListRequest extends PageRequest implements Serializable {

    @ApiModelProperty(value = "订单号码")
    private String orderNo;

    @ApiModelProperty(value = "支付流水号码")
    private String paymentNo;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "患者手机号")
    private String mobile;

    @ApiModelProperty(value = "取货方式")
    private String getChannel;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "支付状态")
    private String paymentStatus;

    @ApiModelProperty(value = "支付方式")
    private String paymentChannel;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "创建结束时间")
    private String createEndTime;

    @ApiModelProperty(value = "支付时间")
    private String paymentTime;

    @ApiModelProperty(value = "支付结束时间")
    private String paymentEndTime;

    @ApiModelProperty(value = "退款时间")
    private String refundTime;

    @ApiModelProperty(value = "退款结束时间")
    private String refundEndTime;

    private Integer shopId;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(String getChannel) {
        this.getChannel = getChannel;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(String paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(String refundTime) {
        this.refundTime = refundTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getPaymentEndTime() {
        return paymentEndTime;
    }

    public void setPaymentEndTime(String paymentEndTime) {
        this.paymentEndTime = paymentEndTime;
    }

    public String getRefundEndTime() {
        return refundEndTime;
    }

    public void setRefundEndTime(String refundEndTime) {
        this.refundEndTime = refundEndTime;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
}
